Subject: Re: [PATCH] qe: add function qe_clock_source

From: Timur Tabi <[email-masked]>
Date: Tue, 09 Oct 2007 14:18:16 -0500

Kumar Gala wrote:

> Ok.  I guess I'm not in favor of changing the device tree to address 
> this issue.  I think it would be solved if "dtc" had #define support.

Not really.  The #defines would then need to match the enum, and that's dual 
maintenance.  This method is better because you can use the real name of the 
clock source in the DTS.  That keeps the DTS from having to know the internal 
representation of clock sources.

(BTW, when I said "I just understand", I meant "I just don't understand".)

-- 
Timur Tabi
Linux Kernel Developer @ Freescale